Exception::getFile
Exception::getTrace
Exception
PHP Manual

# Exception::getLine

(PHP 5 >= 5.1.0)

Exception::getLine — Gets the line in which the exception occurred

### 설명

final public int Exception::getLine ( void )

Returns line number where the exception was thrown.

### 인수

이 함수는 인수가 없습니다.

### 반환값

Returns the line number where the exception was thrown.

### 예제

Example #1 Exception::getLine() example

`<?php
try {
throw new Exception("Some error message");
} catch(Exception $e) {
echo "The exception was thrown on line: " . $e->getLine();
}
?>`

위 예제의 출력 예시:

    The exception was thrown on line: 3

Exception::getFile
Exception::getTrace
Exception
PHP Manual